Opened 4 months ago

Closed 3 months ago

#2142 closed defect (fixed)

rasdaman missing from 13.0 nightly builds

Reported by: kalxas Owned by: osgeolive@…
Priority: major Milestone: OSGeoLive13.0
Component: OSGeoLive Keywords:
Cc: osgeolive@…

Description

We need to test latest rasdaman version

Attachments (1)

disk_usage_rasdaman.png (21.3 KB) - added by misev 3 months ago.

Download all attachments as: .zip

Change history (33)

comment:1 Changed 4 months ago by pebau

Dimitar Misev, our OSGeo Live caretaker, is on vacation for ~2 more weeks, don't hesitate to contact him on any question arising: misev@…

comment:2 Changed 3 months ago by misev

In http://aiolos.survey.ntua.gr/gisvm/13.0/ rasdaman doesn't appear at all in the build logs.

https://github.com/OSGeo/OSGeoLive/blob/master/bin/install_rasdaman.sh already installs the latest stable rasdaman version and I expect it to work fine on Lubuntu 18.04.

I'm not sure what specifically should be tested (or how).

comment:3 Changed 3 months ago by misev

We tested install_rasdaman.sh and it works fine.

comment:4 Changed 3 months ago by kalxas

Adding recent rasdaman version makes the iso build process run out of disk space

Creating iso...
======================================
File ./casper/filesystem.squashfs is larger than 4GiB-1.
-allow-limited-size was not specified. There is no way do represent this file size. Aborting.
isohybrid: could not open file `../osgeolive-nightly-build110-amd64-f547f90-rasdaman.iso': No such file or directory

comment:7 Changed 3 months ago by darkblueb

beta1 build115 install_rasdaman.sh output:

user@osgeolive:~/jupyter$ sudo /usr/local/share/gisvm/bin/install_rasdaman.sh
/usr/local/share/gisvm/bin/install_rasdaman.sh: line 24: ./diskspace_probe.sh: No such file or directory
Setup rasdaman package repository...
OK
Install rasdaman package...
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following additional packages will be installed:
  libbsd-dev libdw1 libecpg6 libedit-dev libgdal-java libgrib-api-dev
  libgrib-api0 libncurses5-dev libpgtypes3 libreadline-dev libtinfo-dev
  netcdf-bin postgresql postgresql-contrib python-pip python-pip-whl
Suggested packages:
  ncurses-doc readline-doc postgresql-doc
Recommended packages:
  python-all-dev python-wheel
The following NEW packages will be installed:
  libbsd-dev libdw1 libecpg6 libedit-dev libgdal-java libgrib-api-dev
  libgrib-api0 libncurses5-dev libpgtypes3 libreadline-dev libtinfo-dev
  netcdf-bin postgresql postgresql-contrib python-pip python-pip-whl rasdaman
0 upgraded, 17 newly installed, 0 to remove and 11 not upgraded.
Need to get 187 MB of archives.
After this operation, 453 MB of additional disk space will be used.
Get:1 http://security.ubuntu.com/ubuntu bionic-security/main amd64 libdw1 amd64 0.170-0.4ubuntu0.1 [203 kB]
Get:2 http://archive.ubuntu.com/ubuntu bionic/main amd64 libbsd-dev amd64 0.8.7-1 [150 kB]
Get:3 http://download.rasdaman.org/packages/deb bionic/stable amd64 rasdaman amd64 9.8.0bionic-5 [183 MB]
Get:4 http://ppa.launchpad.net/osgeolive/nightly/ubuntu bionic/main amd64 libgdal-java amd64 2.4.2+dfsg-1~bionic0 [482 kB]
Get:5 http://security.ubuntu.com/ubuntu bionic-security/main amd64 libpgtypes3 amd64 10.9-0ubuntu0.18.04.1 [38.6 kB]
Get:6 http://security.ubuntu.com/ubuntu bionic-security/main amd64 libecpg6 amd64 10.9-0ubuntu0.18.04.1 [36.7 kB]
Get:7 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libtinfo-dev amd64 6.1-1ubuntu1.18.04 [81.3 kB]
Get:8 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libncurses5-dev amd64 6.1-1ubuntu1.18.04 [174 kB]
Get:9 http://archive.ubuntu.com/ubuntu bionic/main amd64 libedit-dev amd64 3.1-20170329-1 [99.1 kB]
Get:10 http://archive.ubuntu.com/ubuntu bionic/universe amd64 libgrib-api0 amd64 1.25.0-1 [319 kB]
Get:11 http://archive.ubuntu.com/ubuntu bionic/universe amd64 libgrib-api-dev amd64 1.25.0-1 [530 kB]
Get:12 http://archive.ubuntu.com/ubuntu bionic/main amd64 libreadline-dev amd64 7.0-3 [133 kB]
Get:13 http://archive.ubuntu.com/ubuntu bionic/universe amd64 netcdf-bin amd64 1:4.6.0-2build1 [189 kB]
Get:14 http://archive.ubuntu.com/ubuntu bionic/main amd64 postgresql all 10+190 [5784 B]
Get:15 http://archive.ubuntu.com/ubuntu bionic/main amd64 postgresql-contrib all 10+190 [5796 B]
Get:16 http://archive.ubuntu.com/ubuntu bionic-updates/universe amd64 python-pip-whl all 9.0.1-2.3~ubuntu1.18.04.1 [1653 kB]
Get:17 http://archive.ubuntu.com/ubuntu bionic-updates/universe amd64 python-pip all 9.0.1-2.3~ubuntu1.18.04.1 [151 kB]
Fetched 187 MB in 23min 17s (134 kB/s)                                         
Selecting previously unselected package libbsd-dev:amd64.
(Reading database ... 241770 files and directories currently installed.)
Preparing to unpack .../00-libbsd-dev_0.8.7-1_amd64.deb ...
Unpacking libbsd-dev:amd64 (0.8.7-1) ...
Selecting previously unselected package libdw1:amd64.
Preparing to unpack .../01-libdw1_0.170-0.4ubuntu0.1_amd64.deb ...
Unpacking libdw1:amd64 (0.170-0.4ubuntu0.1) ...
Selecting previously unselected package libpgtypes3:amd64.
Preparing to unpack .../02-libpgtypes3_10.9-0ubuntu0.18.04.1_amd64.deb ...
Unpacking libpgtypes3:amd64 (10.9-0ubuntu0.18.04.1) ...
Selecting previously unselected package libecpg6:amd64.
Preparing to unpack .../03-libecpg6_10.9-0ubuntu0.18.04.1_amd64.deb ...
Unpacking libecpg6:amd64 (10.9-0ubuntu0.18.04.1) ...
Selecting previously unselected package libtinfo-dev:amd64.
Preparing to unpack .../04-libtinfo-dev_6.1-1ubuntu1.18.04_amd64.deb ...
Unpacking libtinfo-dev:amd64 (6.1-1ubuntu1.18.04) ...
Selecting previously unselected package libncurses5-dev:amd64.
Preparing to unpack .../05-libncurses5-dev_6.1-1ubuntu1.18.04_amd64.deb ...
Unpacking libncurses5-dev:amd64 (6.1-1ubuntu1.18.04) ...
Selecting previously unselected package libedit-dev:amd64.
Preparing to unpack .../06-libedit-dev_3.1-20170329-1_amd64.deb ...
Unpacking libedit-dev:amd64 (3.1-20170329-1) ...
Selecting previously unselected package libgdal-java.
Preparing to unpack .../07-libgdal-java_2.4.2+dfsg-1~bionic0_amd64.deb ...
Unpacking libgdal-java (2.4.2+dfsg-1~bionic0) ...
Selecting previously unselected package libgrib-api0.
Preparing to unpack .../08-libgrib-api0_1.25.0-1_amd64.deb ...
Unpacking libgrib-api0 (1.25.0-1) ...
Selecting previously unselected package libgrib-api-dev.
Preparing to unpack .../09-libgrib-api-dev_1.25.0-1_amd64.deb ...
Unpacking libgrib-api-dev (1.25.0-1) ...
Selecting previously unselected package libreadline-dev:amd64.
Preparing to unpack .../10-libreadline-dev_7.0-3_amd64.deb ...
Unpacking libreadline-dev:amd64 (7.0-3) ...
Selecting previously unselected package netcdf-bin.
Preparing to unpack .../11-netcdf-bin_1%3a4.6.0-2build1_amd64.deb ...
Unpacking netcdf-bin (1:4.6.0-2build1) ...
Selecting previously unselected package postgresql.
Preparing to unpack .../12-postgresql_10+190_all.deb ...
Unpacking postgresql (10+190) ...
Selecting previously unselected package postgresql-contrib.
Preparing to unpack .../13-postgresql-contrib_10+190_all.deb ...
Unpacking postgresql-contrib (10+190) ...
Selecting previously unselected package python-pip-whl.
Preparing to unpack .../14-python-pip-whl_9.0.1-2.3~ubuntu1.18.04.1_all.deb ...
Unpacking python-pip-whl (9.0.1-2.3~ubuntu1.18.04.1) ...
Selecting previously unselected package python-pip.
Preparing to unpack .../15-python-pip_9.0.1-2.3~ubuntu1.18.04.1_all.deb ...
Unpacking python-pip (9.0.1-2.3~ubuntu1.18.04.1) ...
Selecting previously unselected package rasdaman.
Preparing to unpack .../16-rasdaman_9.8.0bionic-5_amd64.deb ...
Unpacking rasdaman (9.8.0bionic-5) ...
Setting up netcdf-bin (1:4.6.0-2build1) ...
Setting up python-pip-whl (9.0.1-2.3~ubuntu1.18.04.1) ...
Setting up postgresql-contrib (10+190) ...
Setting up libdw1:amd64 (0.170-0.4ubuntu0.1) ...
Processing triggers for install-info (6.5.0.dfsg.1-2) ...
Setting up libbsd-dev:amd64 (0.8.7-1) ...
Setting up libgrib-api0 (1.25.0-1) ...
Setting up libtinfo-dev:amd64 (6.1-1ubuntu1.18.04) ...
Setting up libncurses5-dev:amd64 (6.1-1ubuntu1.18.04) ...
Processing triggers for libc-bin (2.27-3ubuntu1) ...
Setting up postgresql (10+190) ...
Setting up libreadline-dev:amd64 (7.0-3) ...
Setting up libedit-dev:amd64 (3.1-20170329-1) ...
Processing triggers for man-db (2.8.3-2ubuntu0.1) ...
Setting up libgdal-java (2.4.2+dfsg-1~bionic0) ...
Setting up python-pip (9.0.1-2.3~ubuntu1.18.04.1) ...
Setting up libpgtypes3:amd64 (10.9-0ubuntu0.18.04.1) ...
Setting up libecpg6:amd64 (10.9-0ubuntu0.18.04.1) ...
Setting up libgrib-api-dev (1.25.0-1) ...
Setting up rasdaman (9.8.0bionic-5) ...
Checking if installer needs to be updated...
Installer is at latest version.

Review the installation settings:

Install path: /opt/rasdaman/
User: rasdaman
Database: sqlite, /opt/rasdaman/data/
Install webapps: True
  Petascopedb url: jdbc:postgresql://localhost:5432/petascopedb
  Petascopedb user: petauser
  Deployment: external
  Webapps path: /var/lib/tomcat8/webapps
  Webapps logs: /var/log/tomcat8
Insert demos: True
Run systemtest: False
Generate package: False
Validating system...
System was validated.
Installing third party dependencies on Ubuntu 18.04...
Installing pip packages ['glob2', 'grpcio', 'pygrib', 'protobuf==3.6.1', 'jsonschema']... 
Pip packages installed successfully.
Increasing tomcat memory limit to 2GB...
Existing configuration saved at '/etc/default/tomcat8.2019-07-18_01-40-35.bak'
Tomcat memory increased succesfully.
Checking user rasdaman....
rasdaman user does not exist. Creating...
User 'rasdaman' created successfully.
User rasdaman checked successfully.
Creating directory structure...
Directory structure created successfully.
Setting up the PATH environment variable in '/etc/profile.d/rasdaman.sh'...
The PATH environment variable was set up successfully.
Third party dependencies installed.
Retrieving rasdaman...
Rasdaman retrieved.
Building rasdaman...
Deploying def.war...
def.war deployed successfully.
Deploying rasdaman.war...
rasdaman.war deployed successfully.
Rasdaman built.
Preparing rasdaman...
Preparing rasmgr.conf...
rasmgr.conf prepared successfully.
Preparing Rasdaman SQLite database...
Rasdaman SQLite database was prepared.
Preparing petascope...
Petascope was prepared.
Preparing for external server deployment...
Config updated for external server deployment.
Updated path of petascope.log to /var/log/tomcat8/petascope.log.
Updated path of secore.log to /var/log/tomcat8/secore.log.
Installing service scripts...
Installed SysV init script at /etc/init.d/rasdaman
Installed systemd init script at /etc/systemd/system/rasdaman.service
Service scripts installed successfully.
Migrating configuration files from deprecated packages...
No previous configuration files found to migrate.
Migrating configuration files from previous version...
No previous configuration files found to migrate.
Starting rasdaman and external Tomcat...
Services successfully started.
Rasdaman prepared.
Finalizing installation...
Ingesting rasdaman demo data...
Rasdaman demo data ingested successfully.
Ingesting petascope demo data...
Petascope demo data ingested successfully.
Installation finalized.
Testing rasdaman...
TEST STATUS: SUCCESS
Testing done.
Packaging...
No packaging requested.
Packaging done.
Rasdaman installation finished in 13.3m
Next steps
 * Make sure that rasql is on the PATH first:
   $ source /etc/profile.d/rasdaman.sh
 * Then try some rasql queries using the rasql CLI, e.g:
   $ rasql -q 'select encode( mr, "png" ) from mr' --out file
 * Try the WCS client in your browser at http://localhost:8080/rasdaman/ows


More information can be found at http://rasdaman.org. Have fun!
To add rasdaman to the PATH: source /etc/profile.d/rasdaman.sh
Processing triggers for libc-bin (2.27-3ubuntu1) ...
Reading package lists...
Building dependency tree...
Reading state information...
The following NEW packages will be installed:
  python-glob2
0 upgraded, 1 newly installed, 0 to remove and 11 not upgraded.
Need to get 8486 B of archives.
After this operation, 39.9 kB of additional disk space will be used.
Get:1 http://archive.ubuntu.com/ubuntu bionic/universe amd64 python-glob2 all 0.5-2 [8486 B]
Fetched 8486 B in 1s (12.1 kB/s)
Selecting previously unselected package python-glob2.
(Reading database ... 249079 files and directories currently installed.)
Preparing to unpack .../python-glob2_0.5-2_all.deb ...
Unpacking python-glob2 (0.5-2) ...
Setting up python-glob2 (0.5-2) ...

Rasdaman package installed successfully.

Replacing regular user 'rasdaman' with a system user...
stop_rasdaman.sh: terminating rasdaman server complex... 
stop_rasdaman.sh:   terminating rasserver processes... ok.
stop_rasdaman.sh:   terminating rasmanager. Good Bye!
stop_rasdaman.sh: done.
Adding system user `rasdaman' (UID 116) ...
Adding new group `rasdaman' (GID 126) ...
Adding new user `rasdaman' (UID 116) with group `rasdaman' ...
Not creating home directory `/opt/rasdaman'.
Adding user `rasdaman' to group `tomcat8' ...
Adding user rasdaman to group tomcat8
Done.
Adding user `user' to group `rasdaman' ...
Adding user user to group rasdaman
Done.
start_rasdaman.sh: starting rasdaman server complex...
start_rasdaman.sh:   starting rasmgr... ok, pid 10896.
start_rasdaman.sh:   starting all rasdaman servers... ok.
start_rasdaman.sh: done.
Creating starting scripts...
Creating desktop icons...
Add rasdaman profile to the user's bashrc...
Deploying local earthlook...
Importing coverage 'AverageChlorophyllScaled'...
Runtime error: Could not check if the coverage exists. Detail error: Runtime error: Server responded failed for request 'http://localhost:8080/rasdaman/ows?service=WCS&request=GetCapabilities&acceptVersions=2.0.1'.Detail error: <!doctype html><html lang="en"><head><title>HTTP Status 404 – Not Found</title><style type="text/css">h1 {font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;font-size:22px;} h2 {font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;font-size:16px;} h3 {font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;font-size:14px;} body {font-family:Tahoma,Arial,sans-serif;color:black;background-color:white;} b {font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;} p {font-family:Tahoma,Arial,sans-serif;background:white;color:black;font-size:12px;} a {color:black;} a.name {color:black;} .line {height:1px;background-color:#525D76;border:none;}</style></head><body><h1>HTTP Status 404 – Not Found</h1><hr class="line" /><p><b>Type</b> Status Report</p><p><b>Message</b> &#47;rasdaman&#47;ows</p><p><b>Description</b> The origin server did not find a current representation for the target resource or is not willing to disclose that one exists.</p><hr class="line" /><h3>Apache Tomcat/8.5.39 (Ubuntu)</h3></body></html>.
Importing coverage 'NIR'...
Runtime error: Could not check if the coverage exists. Detail error: Runtime error: Server responded failed for request 'http://localhost:8080/rasdaman/ows?service=WCS&request=GetCapabilities&acceptVersions=2.0.1'.Detail error: <!doctype html><html lang="en"><head><title>HTTP Status 404 – Not Found</title><style type="text/css">h1 {font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;font-size:22px;} h2 {font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;font-size:16px;} h3 {font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;font-size:14px;} body {font-family:Tahoma,Arial,sans-serif;color:black;background-color:white;} b {font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;} p {font-family:Tahoma,Arial,sans-serif;background:white;color:black;font-size:12px;} a {color:black;} a.name {color:black;} .line {height:1px;background-color:#525D76;border:none;}</style></head><body><h1>HTTP Status 404 – Not Found</h1><hr class="line" /><p><b>Type</b> Status Report</p><p><b>Message</b> &#47;rasdaman&#47;ows</p><p><b>Description</b> The origin server did not find a current representation for the target resource or is not willing to disclose that one exists.</p><hr class="line" /><h3>Apache Tomcat/8.5.39 (Ubuntu)</h3></body></html>.
Importing coverage 'NN3_1'...
Runtime error: Could not check if the coverage exists. Detail error: Runtime error: Server responded failed for request 'http://localhost:8080/rasdaman/ows?service=WCS&request=GetCapabilities&acceptVersions=2.0.1'.Detail error: <!doctype html><html lang="en"><head><title>HTTP Status 404 – Not Found</title><style type="text/css">h1 {font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;font-size:22px;} h2 {font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;font-size:16px;} h3 {font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;font-size:14px;} body {font-family:Tahoma,Arial,sans-serif;color:black;background-color:white;} b {font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;} p {font-family:Tahoma,Arial,sans-serif;background:white;color:black;font-size:12px;} a {color:black;} a.name {color:black;} .line {height:1px;background-color:#525D76;border:none;}</style></head><body><h1>HTTP Status 404 – Not Found</h1><hr class="line" /><p><b>Type</b> Status Report</p><p><b>Message</b> &#47;rasdaman&#47;ows</p><p><b>Description</b> The origin server did not find a current representation for the target resource or is not willing to disclose that one exists.</p><hr class="line" /><h3>Apache Tomcat/8.5.39 (Ubuntu)</h3></body></html>.
Importing coverage 'NN3_2'...
Runtime error: Could not check if the coverage exists. Detail error: Runtime error: Server responded failed for request 'http://localhost:8080/rasdaman/ows?service=WCS&request=GetCapabilities&acceptVersions=2.0.1'.Detail error: <!doctype html><html lang="en"><head><title>HTTP Status 404 – Not Found</title><style type="text/css">h1 {font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;font-size:22px;} h2 {font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;font-size:16px;} h3 {font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;font-size:14px;} body {font-family:Tahoma,Arial,sans-serif;color:black;background-color:white;} b {font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;} p {font-family:Tahoma,Arial,sans-serif;background:white;color:black;font-size:12px;} a {color:black;} a.name {color:black;} .line {height:1px;background-color:#525D76;border:none;}</style></head><body><h1>HTTP Status 404 – Not Found</h1><hr class="line" /><p><b>Type</b> Status Report</p><p><b>Message</b> &#47;rasdaman&#47;ows</p><p><b>Description</b> The origin server did not find a current representation for the target resource or is not willing to disclose that one exists.</p><hr class="line" /><h3>Apache Tomcat/8.5.39 (Ubuntu)</h3></body></html>.
Importing coverage 'NN3_3'...
Runtime error: Could not check if the coverage exists. Detail error: Runtime error: Server responded failed for request 'http://localhost:8080/rasdaman/ows?service=WCS&request=GetCapabilities&acceptVersions=2.0.1'.Detail error: <!doctype html><html lang="en"><head><title>HTTP Status 404 – Not Found</title><style type="text/css">h1 {font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;font-size:22px;} h2 {font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;font-size:16px;} h3 {font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;font-size:14px;} body {font-family:Tahoma,Arial,sans-serif;color:black;background-color:white;} b {font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;} p {font-family:Tahoma,Arial,sans-serif;background:white;color:black;font-size:12px;} a {color:black;} a.name {color:black;} .line {height:1px;background-color:#525D76;border:none;}</style></head><body><h1>HTTP Status 404 – Not Found</h1><hr class="line" /><p><b>Type</b> Status Report</p><p><b>Message</b> &#47;rasdaman&#47;ows</p><p><b>Description</b> The origin server did not find a current representation for the target resource or is not willing to disclose that one exists.</p><hr class="line" /><h3>Apache Tomcat/8.5.39 (Ubuntu)</h3></body></html>.
Importing coverage 'NN3_4'...
Runtime error: Could not check if the coverage exists. Detail error: Runtime error: Server responded failed for request 'http://localhost:8080/rasdaman/ows?service=WCS&request=GetCapabilities&acceptVersions=2.0.1'.Detail error: <!doctype html><html lang="en"><head><title>HTTP Status 404 – Not Found</title><style type="text/css">h1 {font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;font-size:22px;} h2 {font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;font-size:16px;} h3 {font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;font-size:14px;} body {font-family:Tahoma,Arial,sans-serif;color:black;background-color:white;} b {font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;} p {font-family:Tahoma,Arial,sans-serif;background:white;color:black;font-size:12px;} a {color:black;} a.name {color:black;} .line {height:1px;background-color:#525D76;border:none;}</style></head><body><h1>HTTP Status 404 – Not Found</h1><hr class="line" /><p><b>Type</b> Status Report</p><p><b>Message</b> &#47;rasdaman&#47;ows</p><p><b>Description</b> The origin server did not find a current representation for the target resource or is not willing to disclose that one exists.</p><hr class="line" /><h3>Apache Tomcat/8.5.39 (Ubuntu)</h3></body></html>.
Importing coverage 'lena'...
Runtime error: Could not check if the coverage exists. Detail error: Runtime error: Server responded failed for request 'http://localhost:8080/rasdaman/ows?service=WCS&request=GetCapabilities&acceptVersions=2.0.1'.Detail error: <!doctype html><html lang="en"><head><title>HTTP Status 404 – Not Found</title><style type="text/css">h1 {font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;font-size:22px;} h2 {font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;font-size:16px;} h3 {font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;font-size:14px;} body {font-family:Tahoma,Arial,sans-serif;color:black;background-color:white;} b {font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;} p {font-family:Tahoma,Arial,sans-serif;background:white;color:black;font-size:12px;} a {color:black;} a.name {color:black;} .line {height:1px;background-color:#525D76;border:none;}</style></head><body><h1>HTTP Status 404 – Not Found</h1><hr class="line" /><p><b>Type</b> Status Report</p><p><b>Message</b> &#47;rasdaman&#47;ows</p><p><b>Description</b> The origin server did not find a current representation for the target resource or is not willing to disclose that one exists.</p><hr class="line" /><h3>Apache Tomcat/8.5.39 (Ubuntu)</h3></body></html>.
stop_rasdaman.sh: terminating rasdaman server complex... 
stop_rasdaman.sh:   terminating rasserver processes... ok.
stop_rasdaman.sh:   terminating rasmanager. Good Bye!
stop_rasdaman.sh: done.
/usr/local/share/gisvm/bin/install_rasdaman.sh: line 248: /home/user/jupyter/diskspace_probe.sh: No such file or directory
user@osgeolive:~/jupyter$ 


comment:8 Changed 3 months ago by darkblueb

beta1 build115 install_rasdaman.sh petascope.log:

user@osgeolive:~/jupyter$ cat  /var/log/tomcat8/petascope.log 
  INFO [2019-07-18 01:47:04] RasUtil@105: Executing rasql query: select version()
 ERROR [2019-07-18 01:48:24] RasUtil@187: Cannot retrieve rasdaman version
org.odmg.ODMGRuntimeException: RasManager Error: Could not connect to RasServer .
	at org.rasdaman.rasnet.communication.RasRasnetImplementation.connectClient(RasRasnetImplementation.java:385)
	at org.rasdaman.rasnet.communication.RasRasnetImplementation.setUserIdentification(RasRasnetImplementation.java:364)
	at rasj.RasImplementation.setUserIdentification(RasImplementation.java:306)
	at petascope.util.ras.RasUtil.executeRasqlQuery(RasUtil.java:108)
	at petascope.util.ras.RasUtil.executeRasqlQuery(RasUtil.java:71)
	at petascope.util.ras.RasUtil.getRasdamanVersion(RasUtil.java:185)
	at org.rasdaman.config.ConfigManager.initRasdamanSettings(ConfigManager.java:382)
	at org.rasdaman.config.ConfigManager.initSettings(ConfigManager.java:282)
	at org.rasdaman.config.ConfigManager.<init>(ConfigManager.java:255)
	at org.rasdaman.config.ConfigManager.init(ConfigManager.java:225)
	at org.rasdaman.ApplicationMain.initConfigurations(ApplicationMain.java:161)
	at org.rasdaman.ApplicationMain.init(ApplicationMain.java:134)
	at org.rasdaman.ApplicationMain.placeholderConfigurer(ApplicationMain.java:114)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:498)
	at org.springframework.beans.factory.support.SimpleInstantiationStrategy.instantiate(SimpleInstantiationStrategy.java:162)
	at org.springframework.beans.factory.support.ConstructorResolver.instantiateUsingFactoryMethod(ConstructorResolver.java:588)
	at org.springframework.beans.factory.support.AbstractAutowireCapableBeanFactory.instantiateUsingFactoryMethod(AbstractAutowireCapableBeanFactory.java:1173)
	at org.springframework.beans.factory.support.AbstractAutowireCapableBeanFactory.createBeanInstance(AbstractAutowireCapableBeanFactory.java:1067)
	at org.springframework.beans.factory.support.AbstractAutowireCapableBeanFactory.doCreateBean(AbstractAutowireCapableBeanFactory.java:513)
	at org.springframework.beans.factory.support.AbstractAutowireCapableBeanFactory.createBean(AbstractAutowireCapableBeanFactory.java:483)
	at org.springframework.beans.factory.support.AbstractBeanFactory$1.getObject(AbstractBeanFactory.java:306)
	at org.springframework.beans.factory.support.DefaultSingletonBeanRegistry.getSingleton(DefaultSingletonBeanRegistry.java:230)
	at org.springframework.beans.factory.support.AbstractBeanFactory.doGetBean(AbstractBeanFactory.java:302)
	at org.springframework.beans.factory.support.AbstractBeanFactory.getBean(AbstractBeanFactory.java:202)
	at org.springframework.context.support.PostProcessorRegistrationDelegate.invokeBeanFactoryPostProcessors(PostProcessorRegistrationDelegate.java:149)
	at org.springframework.context.support.AbstractApplicationContext.invokeBeanFactoryPostProcessors(AbstractApplicationContext.java:686)
	at org.springframework.context.support.AbstractApplicationContext.refresh(AbstractApplicationContext.java:524)
	at org.springframework.boot.context.embedded.EmbeddedWebApplicationContext.refresh(EmbeddedWebApplicationContext.java:122)
	at org.springframework.boot.SpringApplication.refresh(SpringApplication.java:737)
	at org.springframework.boot.SpringApplication.refreshContext(SpringApplication.java:370)
	at org.springframework.boot.SpringApplication.run(SpringApplication.java:314)
	at org.springframework.boot.web.support.SpringBootServletInitializer.run(SpringBootServletInitializer.java:151)
	at org.springframework.boot.web.support.SpringBootServletInitializer.createRootApplicationContext(SpringBootServletInitializer.java:131)
	at org.springframework.boot.web.support.SpringBootServletInitializer.onStartup(SpringBootServletInitializer.java:86)
	at org.springframework.web.SpringServletContainerInitializer.onStartup(SpringServletContainerInitializer.java:169)
	at org.apache.catalina.core.StandardContext.startInternal(StandardContext.java:5225)
	at org.apache.catalina.util.LifecycleBase.start(LifecycleBase.java:150)
	at org.apache.catalina.core.ContainerBase.addChildInternal(ContainerBase.java:754)
	at org.apache.catalina.core.ContainerBase.addChild(ContainerBase.java:730)
	at org.apache.catalina.core.StandardHost.addChild(StandardHost.java:734)
	at org.apache.catalina.startup.HostConfig.deployWAR(HostConfig.java:980)
	at org.apache.catalina.startup.HostConfig$DeployWar.run(HostConfig.java:1852)
	at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:511)
	at java.util.concurrent.FutureTask.run(FutureTask.java:266)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
	at java.lang.Thread.run(Thread.java:748)
  INFO [2019-07-18 01:48:24] ConfigManager@471: ------------------------------------
  INFO [2019-07-18 01:48:24] ConfigManager@473: -- PETASCOPE --
  INFO [2019-07-18 01:48:24] ConfigManager@474: Version 9.7
  INFO [2019-07-18 01:48:24] ConfigManager@475: DB URL  jdbc:postgresql://localhost:5432/petascopedb
  INFO [2019-07-18 01:48:24] ConfigManager@476: DB User petauser
  INFO [2019-07-18 01:48:24] ConfigManager@477: 
  INFO [2019-07-18 01:48:24] ConfigManager@479: -- RASDAMAN --
  INFO [2019-07-18 01:48:24] ConfigManager@480: Version 9.7
  INFO [2019-07-18 01:48:24] ConfigManager@481: URL     http://localhost:7001
  INFO [2019-07-18 01:48:24] ConfigManager@482: DB      RASBASE
  INFO [2019-07-18 01:48:24] ConfigManager@483: User    rasguest
  INFO [2019-07-18 01:48:24] ConfigManager@484: 
  INFO [2019-07-18 01:48:24] ConfigManager@486: -- SECORE --
  INFO [2019-07-18 01:48:24] ConfigManager@487: Version 0.1.0
  INFO [2019-07-18 01:48:24] ConfigManager@488: URL     [http://localhost:8080/def]
  INFO [2019-07-18 01:48:24] ConfigManager@489: 
  INFO [2019-07-18 01:48:24] ConfigManager@491: -- OGC STANDARDS
  INFO [2019-07-18 01:48:24] ConfigManager@492: CIS: [1.1]
  INFO [2019-07-18 01:48:24] ConfigManager@493: WCS: [2.0.1, 2.1.0]
  INFO [2019-07-18 01:48:24] ConfigManager@494: WCS-T: [2.0.0]
  INFO [2019-07-18 01:48:24] ConfigManager@495: WCPS: [1.0.0]
  INFO [2019-07-18 01:48:24] ConfigManager@496: WMS: [1.3.0]
  INFO [2019-07-18 01:48:24] ConfigManager@498: ------------------------------------
  INFO [2019-07-18 01:48:24] RasUtil@105: Executing rasql query: SELECT a FROM RAS_STRUCT_TYPES a
  WARN [2019-07-18 01:49:14] ApplicationMain@171: Failed initializing type registry from rasdaman.
org.odmg.ODMGRuntimeException: RasManager Error: Could not connect to RasServer .
	at org.rasdaman.rasnet.communication.RasRasnetImplementation.connectClient(RasRasnetImplementation.java:385)
	at org.rasdaman.rasnet.communication.RasRasnetImplementation.setUserIdentification(RasRasnetImplementation.java:364)
	at rasj.RasImplementation.setUserIdentification(RasImplementation.java:306)
	at petascope.util.ras.RasUtil.executeRasqlQuery(RasUtil.java:108)
	at petascope.util.ras.RasUtil.executeRasqlQuery(RasUtil.java:71)
	at petascope.util.ras.TypeRegistry.initializeStructRegistry(TypeRegistry.java:340)
	at petascope.util.ras.TypeRegistry.initializeRegistry(TypeRegistry.java:206)
	at petascope.util.ras.TypeRegistry.getInstance(TypeRegistry.java:63)
	at org.rasdaman.ApplicationMain.initConfigurations(ApplicationMain.java:169)
	at org.rasdaman.ApplicationMain.init(ApplicationMain.java:134)
	at org.rasdaman.ApplicationMain.placeholderConfigurer(ApplicationMain.java:114)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:498)
	at org.springframework.beans.factory.support.SimpleInstantiationStrategy.instantiate(SimpleInstantiationStrategy.java:162)
	at org.springframework.beans.factory.support.ConstructorResolver.instantiateUsingFactoryMethod(ConstructorResolver.java:588)
	at org.springframework.beans.factory.support.AbstractAutowireCapableBeanFactory.instantiateUsingFactoryMethod(AbstractAutowireCapableBeanFactory.java:1173)
	at org.springframework.beans.factory.support.AbstractAutowireCapableBeanFactory.createBeanInstance(AbstractAutowireCapableBeanFactory.java:1067)
	at org.springframework.beans.factory.support.AbstractAutowireCapableBeanFactory.doCreateBean(AbstractAutowireCapableBeanFactory.java:513)
	at org.springframework.beans.factory.support.AbstractAutowireCapableBeanFactory.createBean(AbstractAutowireCapableBeanFactory.java:483)
	at org.springframework.beans.factory.support.AbstractBeanFactory$1.getObject(AbstractBeanFactory.java:306)
	at org.springframework.beans.factory.support.DefaultSingletonBeanRegistry.getSingleton(DefaultSingletonBeanRegistry.java:230)
	at org.springframework.beans.factory.support.AbstractBeanFactory.doGetBean(AbstractBeanFactory.java:302)
	at org.springframework.beans.factory.support.AbstractBeanFactory.getBean(AbstractBeanFactory.java:202)
	at org.springframework.context.support.PostProcessorRegistrationDelegate.invokeBeanFactoryPostProcessors(PostProcessorRegistrationDelegate.java:149)
	at org.springframework.context.support.AbstractApplicationContext.invokeBeanFactoryPostProcessors(AbstractApplicationContext.java:686)
	at org.springframework.context.support.AbstractApplicationContext.refresh(AbstractApplicationContext.java:524)
	at org.springframework.boot.context.embedded.EmbeddedWebApplicationContext.refresh(EmbeddedWebApplicationContext.java:122)
	at org.springframework.boot.SpringApplication.refresh(SpringApplication.java:737)
	at org.springframework.boot.SpringApplication.refreshContext(SpringApplication.java:370)
	at org.springframework.boot.SpringApplication.run(SpringApplication.java:314)
	at org.springframework.boot.web.support.SpringBootServletInitializer.run(SpringBootServletInitializer.java:151)
	at org.springframework.boot.web.support.SpringBootServletInitializer.createRootApplicationContext(SpringBootServletInitializer.java:131)
	at org.springframework.boot.web.support.SpringBootServletInitializer.onStartup(SpringBootServletInitializer.java:86)
	at org.springframework.web.SpringServletContainerInitializer.onStartup(SpringServletContainerInitializer.java:169)
	at org.apache.catalina.core.StandardContext.startInternal(StandardContext.java:5225)
	at org.apache.catalina.util.LifecycleBase.start(LifecycleBase.java:150)
	at org.apache.catalina.core.ContainerBase.addChildInternal(ContainerBase.java:754)
	at org.apache.catalina.core.ContainerBase.addChild(ContainerBase.java:730)
	at org.apache.catalina.core.StandardHost.addChild(StandardHost.java:734)
	at org.apache.catalina.startup.HostConfig.deployWAR(HostConfig.java:980)
	at org.apache.catalina.startup.HostConfig$DeployWar.run(HostConfig.java:1852)
	at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:511)
	at java.util.concurrent.FutureTask.run(FutureTask.java:266)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
	at java.lang.Thread.run(Thread.java:748)
  WARN [2019-07-18 01:49:37] AnnotationConfigEmbeddedWebApplicationContext@550: Exception encountered during context initialization - cancelling refresh attempt: org.springframework.beans.factory.BeanCreationException: Error creating bean with name 'liquibase' defined in class path resource [org/springframework/boot/autoconfigure/liquibase/LiquibaseAutoConfiguration$LiquibaseConfiguration.class]: Invocation of init method failed; nested exception is liquibase.exception.DatabaseException: org.postgresql.util.PSQLException: FATAL: database "petascopedb" does not exist
 ERROR [2019-07-18 01:49:37] SpringApplication@815: Application startup failed
org.springframework.beans.factory.BeanCreationException: Error creating bean with name 'liquibase' defined in class path resource [org/springframework/boot/autoconfigure/liquibase/LiquibaseAutoConfiguration$LiquibaseConfiguration.class]: Invocation of init method failed; nested exception is liquibase.exception.DatabaseException: org.postgresql.util.PSQLException: FATAL: database "petascopedb" does not exist
	at org.springframework.beans.factory.support.AbstractAutowireCapableBeanFactory.initializeBean(AbstractAutowireCapableBeanFactory.java:1628)
	at org.springframework.beans.factory.support.AbstractAutowireCapableBeanFactory.doCreateBean(AbstractAutowireCapableBeanFactory.java:555)
	at org.springframework.beans.factory.support.AbstractAutowireCapableBeanFactory.createBean(AbstractAutowireCapableBeanFactory.java:483)
	at org.springframework.beans.factory.support.AbstractBeanFactory$1.getObject(AbstractBeanFactory.java:306)
	at org.springframework.beans.factory.support.DefaultSingletonBeanRegistry.getSingleton(DefaultSingletonBeanRegistry.java:230)
	at org.springframework.beans.factory.support.AbstractBeanFactory.doGetBean(AbstractBeanFactory.java:302)
	at org.springframework.beans.factory.support.AbstractBeanFactory.getBean(AbstractBeanFactory.java:197)
	at org.springframework.beans.factory.support.AbstractBeanFactory.doGetBean(AbstractBeanFactory.java:296)
	at org.springframework.beans.factory.support.AbstractBeanFactory.getBean(AbstractBeanFactory.java:197)
	at org.springframework.context.support.AbstractApplicationContext.getBean(AbstractApplicationContext.java:1081)
	at org.springframework.context.support.AbstractApplicationContext.finishBeanFactoryInitialization(AbstractApplicationContext.java:856)
	at org.springframework.context.support.AbstractApplicationContext.refresh(AbstractApplicationContext.java:542)
	at org.springframework.boot.context.embedded.EmbeddedWebApplicationContext.refresh(EmbeddedWebApplicationContext.java:122)
	at org.springframework.boot.SpringApplication.refresh(SpringApplication.java:737)
	at org.springframework.boot.SpringApplication.refreshContext(SpringApplication.java:370)
	at org.springframework.boot.SpringApplication.run(SpringApplication.java:314)
	at org.springframework.boot.web.support.SpringBootServletInitializer.run(SpringBootServletInitializer.java:151)
	at org.springframework.boot.web.support.SpringBootServletInitializer.createRootApplicationContext(SpringBootServletInitializer.java:131)
	at org.springframework.boot.web.support.SpringBootServletInitializer.onStartup(SpringBootServletInitializer.java:86)
	at org.springframework.web.SpringServletContainerInitializer.onStartup(SpringServletContainerInitializer.java:169)
	at org.apache.catalina.core.StandardContext.startInternal(StandardContext.java:5225)
	at org.apache.catalina.util.LifecycleBase.start(LifecycleBase.java:150)
	at org.apache.catalina.core.ContainerBase.addChildInternal(ContainerBase.java:754)
	at org.apache.catalina.core.ContainerBase.addChild(ContainerBase.java:730)
	at org.apache.catalina.core.StandardHost.addChild(StandardHost.java:734)
	at org.apache.catalina.startup.HostConfig.deployWAR(HostConfig.java:980)
	at org.apache.catalina.startup.HostConfig$DeployWar.run(HostConfig.java:1852)
	at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:511)
	at java.util.concurrent.FutureTask.run(FutureTask.java:266)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
	at java.lang.Thread.run(Thread.java:748)
Caused by: liquibase.exception.DatabaseException: org.postgresql.util.PSQLException: FATAL: database "petascopedb" does not exist
	at liquibase.integration.spring.SpringLiquibase.afterPropertiesSet(SpringLiquibase.java:390)
	at org.springframework.beans.factory.support.AbstractAutowireCapableBeanFactory.invokeInitMethods(AbstractAutowireCapableBeanFactory.java:1687)
	at org.springframework.beans.factory.support.AbstractAutowireCapableBeanFactory.initializeBean(AbstractAutowireCapableBeanFactory.java:1624)
	... 31 more
Caused by: org.postgresql.util.PSQLException: FATAL: database "petascopedb" does not exist
	at org.postgresql.core.v3.ConnectionFactoryImpl.readStartupMessages(ConnectionFactoryImpl.java:471)
	at org.postgresql.core.v3.ConnectionFactoryImpl.openConnectionImpl(ConnectionFactoryImpl.java:112)
	at org.postgresql.core.ConnectionFactory.openConnection(ConnectionFactory.java:66)
	at org.postgresql.jdbc2.AbstractJdbc2Connection.<init>(AbstractJdbc2Connection.java:125)
	at org.postgresql.jdbc3.AbstractJdbc3Connection.<init>(AbstractJdbc3Connection.java:30)
	at org.postgresql.jdbc3g.AbstractJdbc3gConnection.<init>(AbstractJdbc3gConnection.java:22)
	at org.postgresql.jdbc4.AbstractJdbc4Connection.<init>(AbstractJdbc4Connection.java:32)
	at org.postgresql.jdbc4.Jdbc4Connection.<init>(Jdbc4Connection.java:24)
	at org.postgresql.Driver.makeConnection(Driver.java:393)
	at org.postgresql.Driver.connect(Driver.java:267)
	at org.apache.tomcat.jdbc.pool.PooledConnection.connectUsingDriver(PooledConnection.java:310)
	at org.apache.tomcat.jdbc.pool.PooledConnection.connect(PooledConnection.java:203)
	at org.apache.tomcat.jdbc.pool.ConnectionPool.createConnection(ConnectionPool.java:732)
	at org.apache.tomcat.jdbc.pool.ConnectionPool.borrowConnection(ConnectionPool.java:664)
	at org.apache.tomcat.jdbc.pool.ConnectionPool.init(ConnectionPool.java:479)
	at org.apache.tomcat.jdbc.pool.ConnectionPool.<init>(ConnectionPool.java:154)
	at org.apache.tomcat.jdbc.pool.DataSourceProxy.pCreatePool(DataSourceProxy.java:118)
	at org.apache.tomcat.jdbc.pool.DataSourceProxy.createPool(DataSourceProxy.java:107)
	at org.apache.tomcat.jdbc.pool.DataSourceProxy.getConnection(DataSourceProxy.java:131)
	at liquibase.integration.spring.SpringLiquibase.afterPropertiesSet(SpringLiquibase.java:385)


Last edited 3 months ago by darkblueb (previous) (diff)

comment:9 Changed 3 months ago by darkblueb

beta1 build115 install_rasdaman.sh catalina.log:

...
18-Jul-2019 01:40:36.168 INFO [main] org.apache.catalina.startup.VersionLoggerListener.log Server version:        Apache Tomcat/8.5.39 (Ubuntu)
18-Jul-2019 01:40:36.169 INFO [main] org.apache.catalina.startup.VersionLoggerListener.log Server built:          May 9 2019 13:50:49 UTC
18-Jul-2019 01:40:36.169 INFO [main] org.apache.catalina.startup.VersionLoggerListener.log Server number:         8.5.39.0
18-Jul-2019 01:40:36.169 INFO [main] org.apache.catalina.startup.VersionLoggerListener.log OS Name:               Linux
18-Jul-2019 01:40:36.169 INFO [main] org.apache.catalina.startup.VersionLoggerListener.log OS Version:            4.18.0-15-generic
18-Jul-2019 01:40:36.169 INFO [main] org.apache.catalina.startup.VersionLoggerListener.log Architecture:          amd64
18-Jul-2019 01:40:36.170 INFO [main] org.apache.catalina.startup.VersionLoggerListener.log Java Home:             /usr/lib/jvm/java-8-openjdk-amd64/jre
18-Jul-2019 01:40:36.170 INFO [main] org.apache.catalina.startup.VersionLoggerListener.log JVM Version:           1.8.0_212-8u212-b03-0ubuntu1.18.04.1-b03
18-Jul-2019 01:40:36.170 INFO [main] org.apache.catalina.startup.VersionLoggerListener.log JVM Vendor:            Oracle Corporation
18-Jul-2019 01:40:36.170 INFO [main] org.apache.catalina.startup.VersionLoggerListener.log CATALINA_BASE:         /var/lib/tomcat8
18-Jul-2019 01:40:36.170 INFO [main] org.apache.catalina.startup.VersionLoggerListener.log CATALINA_HOME:         /usr/share/tomcat8
18-Jul-2019 01:40:36.171 INFO [main] org.apache.catalina.startup.VersionLoggerListener.log Command line argument: -Djava.util.logging.config.file=/var/lib/tomcat8/conf/logging.properties
18-Jul-2019 01:40:36.171 INFO [main] org.apache.catalina.startup.VersionLoggerListener.log Command line argument: -Djava.util.logging.manager=org.apache.juli.ClassLoaderLogManager
18-Jul-2019 01:40:36.171 INFO [main] org.apache.catalina.startup.VersionLoggerListener.log Command line argument: -Djava.awt.headless=true
18-Jul-2019 01:40:36.171 INFO [main] org.apache.catalina.startup.VersionLoggerListener.log Command line argument: -Xmx2000m
18-Jul-2019 01:40:36.171 INFO [main] org.apache.catalina.startup.VersionLoggerListener.log Command line argument: -XX:MaxPermSize=256m
18-Jul-2019 01:40:36.171 INFO [main] org.apache.catalina.startup.VersionLoggerListener.log Command line argument: -XX:+UseConcMarkSweepGC
18-Jul-2019 01:40:36.171 INFO [main] org.apache.catalina.startup.VersionLoggerListener.log Command line argument: -Djdk.tls.ephemeralDHKeySize=2048
18-Jul-2019 01:40:36.172 INFO [main] org.apache.catalina.startup.VersionLoggerListener.log Command line argument: -Djava.protocol.handler.pkgs=org.apache.catalina.webresources
18-Jul-2019 01:40:36.172 INFO [main] org.apache.catalina.startup.VersionLoggerListener.log Command line argument: -Dorg.apache.catalina.security.SecurityListener.UMASK=0027
18-Jul-2019 01:40:36.172 INFO [main] org.apache.catalina.startup.VersionLoggerListener.log Command line argument: -Dignore.endorsed.dirs=
18-Jul-2019 01:40:36.172 INFO [main] org.apache.catalina.startup.VersionLoggerListener.log Command line argument: -Dcatalina.base=/var/lib/tomcat8
18-Jul-2019 01:40:36.172 INFO [main] org.apache.catalina.startup.VersionLoggerListener.log Command line argument: -Dcatalina.home=/usr/share/tomcat8
18-Jul-2019 01:40:36.173 INFO [main] org.apache.catalina.startup.VersionLoggerListener.log Command line argument: -Djava.io.tmpdir=/tmp/tomcat8-tomcat8-tmp
18-Jul-2019 01:40:36.173 INFO [main] org.apache.catalina.core.AprLifecycleListener.lifecycleEvent The APR based Apache Tomcat Native library which allows optimal performance in production environments was not found on the java.library.path: [/usr/java/packages/lib/amd64:/usr/lib/x86_64-linux-gnu/jni:/lib/x86_64-linux-gnu:/usr/lib/x86_64-linux-gnu:/usr/lib/jni:/lib:/usr/lib]
18-Jul-2019 01:40:36.321 INFO [main] org.apache.coyote.AbstractProtocol.init Initializing ProtocolHandler ["http-nio-8080"]
18-Jul-2019 01:40:36.334 INFO [main] org.apache.tomcat.util.net.NioSelectorPool.getSharedSelector Using a shared selector for servlet write/read
18-Jul-2019 01:40:36.355 INFO [main] org.apache.catalina.startup.Catalina.load Initialization processed in 573 ms
18-Jul-2019 01:40:36.419 INFO [main] org.apache.catalina.core.StandardService.startInternal Starting service [Catalina]
18-Jul-2019 01:40:36.420 INFO [main] org.apache.catalina.core.StandardEngine.startInternal Starting Servlet Engine: Apache Tomcat/8.5.39 (Ubuntu)
18-Jul-2019 01:40:36.436 INFO [localhost-startStop-1] org.apache.catalina.startup.HostConfig.deployDescriptor Deploying configuration descriptor [/etc/tomcat8/Catalina/localhost/host-manager.xml]
18-Jul-2019 01:40:37.349 INFO [localhost-startStop-1] org.apache.jasper.servlet.TldScanner.scanJars At least one JAR was scanned for TLDs yet contained no TLDs. Enable debug logging for this logger for a complete list of JARs that were scanned but no TLDs were found in them. Skipping unneeded JARs during scanning can improve startup time and JSP compilation time.
18-Jul-2019 01:40:37.396 INFO [localhost-startStop-1] org.apache.catalina.startup.HostConfig.deployDescriptor Deployment of configuration descriptor [/etc/tomcat8/Catalina/localhost/host-manager.xml] has finished in [960] ms
18-Jul-2019 01:40:37.397 INFO [localhost-startStop-1] org.apache.catalina.startup.HostConfig.deployDescriptor Deploying configuration descriptor [/etc/tomcat8/Catalina/localhost/manager.xml]
18-Jul-2019 01:40:37.920 INFO [localhost-startStop-1] org.apache.jasper.servlet.TldScanner.scanJars At least one JAR was scanned for TLDs yet contained no TLDs. Enable debug logging for this logger for a complete list of JARs that were scanned but no TLDs were found in them. Skipping unneeded JARs during scanning can improve startup time and JSP compilation time.
18-Jul-2019 01:40:37.923 INFO [localhost-startStop-1] org.apache.catalina.startup.HostConfig.deployDescriptor Deployment of configuration descriptor [/etc/tomcat8/Catalina/localhost/manager.xml] has finished in [526] ms
18-Jul-2019 01:40:37.924 INFO [localhost-startStop-1] org.apache.catalina.startup.HostConfig.deployDirectory Deploying web application directory [/var/lib/tomcat8/webapps/52nSOS]
18-Jul-2019 01:40:49.528 INFO [localhost-startStop-1] org.apache.jasper.servlet.TldScanner.scanJars At least one JAR was scanned for TLDs yet contained no TLDs. Enable debug logging for this logger for a complete list of JARs that were scanned but no TLDs were found in them. Skipping unneeded JARs during scanning can improve startup time and JSP compilation time.
18-Jul-2019 01:41:01.480 INFO [localhost-startStop-1] org.apache.catalina.startup.HostConfig.deployDirectory Deployment of web application directory [/var/lib/tomcat8/webapps/52nSOS] has finished in [23,556] ms
18-Jul-2019 01:41:01.480 INFO [localhost-startStop-1] org.apache.catalina.startup.HostConfig.deployDirectory Deploying web application directory [/var/lib/tomcat8/webapps/52nWPS]
18-Jul-2019 01:41:06.568 INFO [localhost-startStop-1] org.apache.jasper.servlet.TldScanner.scanJars At least one JAR was scanned for TLDs yet contained no TLDs. Enable debug logging for this logger for a complete list of JARs that were scanned but no TLDs were found in them. Skipping unneeded JARs during scanning can improve startup time and JSP compilation time.
18-Jul-2019 01:41:08.434 INFO [localhost-startStop-1] org.apache.catalina.startup.HostConfig.deployDirectory Deployment of web application directory [/var/lib/tomcat8/webapps/52nWPS] has finished in [6,954] ms
18-Jul-2019 01:41:08.434 INFO [localhost-startStop-1] org.apache.catalina.startup.HostConfig.deployDirectory Deploying web application directory [/var/lib/tomcat8/webapps/ROOT]
18-Jul-2019 01:41:08.830 INFO [localhost-startStop-1] org.apache.jasper.servlet.TldScanner.scanJars At least one JAR was scanned for TLDs yet contained no TLDs. Enable debug logging for this logger for a complete list of JARs that were scanned but no TLDs were found in them. Skipping unneeded JARs during scanning can improve startup time and JSP compilation time.
18-Jul-2019 01:41:08.832 INFO [localhost-startStop-1] org.apache.catalina.startup.HostConfig.deployDirectory Deployment of web application directory [/var/lib/tomcat8/webapps/ROOT] has finished in [398] ms
18-Jul-2019 01:41:08.832 INFO [localhost-startStop-1] org.apache.catalina.startup.HostConfig.deployDirectory Deploying web application directory [/var/lib/tomcat8/webapps/ncWMS2]
18-Jul-2019 01:41:10.864 INFO [localhost-startStop-1] org.apache.jasper.servlet.TldScanner.scanJars At least one JAR was scanned for TLDs yet contained no TLDs. Enable debug logging for this logger for a complete list of JARs that were scanned but no TLDs were found in them. Skipping unneeded JARs during scanning can improve startup time and JSP compilation time.
18-Jul-2019 01:41:12.292 INFO [localhost-startStop-1] org.apache.catalina.startup.HostConfig.deployDirectory Deployment of web application directory [/var/lib/tomcat8/webapps/ncWMS2] has finished in [3,460] ms
18-Jul-2019 01:41:12.300 INFO [main] org.apache.coyote.AbstractProtocol.start Starting ProtocolHandler ["http-nio-8080"]
18-Jul-2019 01:41:12.312 INFO [main] org.apache.catalina.startup.Catalina.start Server startup in 35956 ms
18-Jul-2019 01:41:13.091 INFO [load-metadata-modprec] org.apache.sis.referencing.factory.sql.EPSGFactory.install Creating EPSG schema in the “jdbc:h2:/usr/share/tomcat8/.ncWMS2/.h2/epsg.db” database.
18-Jul-2019 01:42:02.223 INFO [Thread-14] org.apache.coyote.AbstractProtocol.pause Pausing ProtocolHandler ["http-nio-8080"]
18-Jul-2019 01:42:02.240 INFO [Thread-14] org.apache.catalina.core.StandardService.stopInternal Stopping service [Catalina]
18-Jul-2019 01:42:22.521 WARNING [main] org.apache.catalina.startup.ClassLoaderFactory.validateFile Problem with directory [/var/lib/tomcat8/common/classes], exists: [false], isDirectory: [false], canRead: [false]
18-Jul-2019 01:42:22.523 WARNING [main] org.apache.catalina.startup.ClassLoaderFactory.validateFile Problem with directory [/var/lib/tomcat8/common], exists: [false], isDirectory: [false], canRead: [false]
18-Jul-2019 01:42:22.523 WARNING [main] org.apache.catalina.startup.ClassLoaderFactory.validateFile Problem with directory [/usr/share/tomcat8/common/classes], exists: [false], isDirectory: [false], canRead: [false]
18-Jul-2019 01:42:22.524 WARNING [main] org.apache.catalina.startup.ClassLoaderFactory.validateFile Problem with directory [/usr/share/tomcat8/common], exists: [false], isDirectory: [false], canRead: [false]
18-Jul-2019 01:42:22.525 WARNING [main] org.apache.catalina.startup.ClassLoaderFactory.validateFile Problem with directory [/var/lib/tomcat8/server/classes], exists: [false], isDirectory: [false], canRead: [false]
18-Jul-2019 01:42:22.525 WARNING [main] org.apache.catalina.startup.ClassLoaderFactory.validateFile Problem with directory [/var/lib/tomcat8/server], exists: [false], isDirectory: [false], canRead: [false]
18-Jul-2019 01:42:22.525 WARNING [main] org.apache.catalina.startup.ClassLoaderFactory.validateFile Problem with directory [/usr/share/tomcat8/server/classes], exists: [false], isDirectory: [false], canRead: [false]
18-Jul-2019 01:42:22.525 WARNING [main] org.apache.catalina.startup.ClassLoaderFactory.validateFile Problem with directory [/usr/share/tomcat8/server], exists: [false], isDirectory: [false], canRead: [false]
18-Jul-2019 01:42:22.526 WARNING [main] org.apache.catalina.startup.ClassLoaderFactory.validateFile Problem with directory [/var/lib/tomcat8/shared/classes], exists: [false], isDirectory: [false], canRead: [false]
18-Jul-2019 01:42:22.526 WARNING [main] org.apache.catalina.startup.ClassLoaderFactory.validateFile Problem with directory [/var/lib/tomcat8/shared], exists: [false], isDirectory: [false], canRead: [false]
18-Jul-2019 01:42:22.526 WARNING [main] org.apache.catalina.startup.ClassLoaderFactory.validateFile Problem with directory [/usr/share/tomcat8/shared/classes], exists: [false], isDirectory: [false], canRead: [false]
18-Jul-2019 01:42:22.526 WARNING [main] org.apache.catalina.startup.ClassLoaderFactory.validateFile Problem with directory [/usr/share/tomcat8/shared], exists: [false], isDirectory: [false], canRead: [false]
18-Jul-2019 01:42:22.925 INFO [main] org.apache.catalina.startup.VersionLoggerListener.log Server version:        Apache Tomcat/8.5.39 (Ubuntu)
18-Jul-2019 01:42:22.925 INFO [main] org.apache.catalina.startup.VersionLoggerListener.log Server built:          May 9 2019 13:50:49 UTC
18-Jul-2019 01:42:22.925 INFO [main] org.apache.catalina.startup.VersionLoggerListener.log Server number:         8.5.39.0
18-Jul-2019 01:42:22.925 INFO [main] org.apache.catalina.startup.VersionLoggerListener.log OS Name:               Linux
18-Jul-2019 01:42:22.926 INFO [main] org.apache.catalina.startup.VersionLoggerListener.log OS Version:            4.18.0-15-generic
18-Jul-2019 01:42:22.926 INFO [main] org.apache.catalina.startup.VersionLoggerListener.log Architecture:          amd64
18-Jul-2019 01:42:22.926 INFO [main] org.apache.catalina.startup.VersionLoggerListener.log Java Home:             /usr/lib/jvm/java-8-openjdk-amd64/jre
18-Jul-2019 01:42:22.926 INFO [main] org.apache.catalina.startup.VersionLoggerListener.log JVM Version:           1.8.0_212-8u212-b03-0ubuntu1.18.04.1-b03
18-Jul-2019 01:42:22.926 INFO [main] org.apache.catalina.startup.VersionLoggerListener.log JVM Vendor:            Oracle Corporation
18-Jul-2019 01:42:22.926 INFO [main] org.apache.catalina.startup.VersionLoggerListener.log CATALINA_BASE:         /var/lib/tomcat8
18-Jul-2019 01:42:22.926 INFO [main] org.apache.catalina.startup.VersionLoggerListener.log CATALINA_HOME:         /usr/share/tomcat8
18-Jul-2019 01:42:22.927 INFO [main] org.apache.catalina.startup.VersionLoggerListener.log Command line argument: -Djava.util.logging.config.file=/var/lib/tomcat8/conf/logging.properties
18-Jul-2019 01:42:22.927 INFO [main] org.apache.catalina.startup.VersionLoggerListener.log Command line argument: -Djava.util.logging.manager=org.apache.juli.ClassLoaderLogManager
18-Jul-2019 01:42:22.927 INFO [main] org.apache.catalina.startup.VersionLoggerListener.log Command line argument: -Djava.awt.headless=true
18-Jul-2019 01:42:22.927 INFO [main] org.apache.catalina.startup.VersionLoggerListener.log Command line argument: -Xmx2000m
18-Jul-2019 01:42:22.927 INFO [main] org.apache.catalina.startup.VersionLoggerListener.log Command line argument: -XX:MaxPermSize=256m
18-Jul-2019 01:42:22.927 INFO [main] org.apache.catalina.startup.VersionLoggerListener.log Command line argument: -XX:+UseConcMarkSweepGC
18-Jul-2019 01:42:22.927 INFO [main] org.apache.catalina.startup.VersionLoggerListener.log Command line argument: -Djdk.tls.ephemeralDHKeySize=2048
18-Jul-2019 01:42:22.927 INFO [main] org.apache.catalina.startup.VersionLoggerListener.log Command line argument: -Djava.protocol.handler.pkgs=org.apache.catalina.webresources
18-Jul-2019 01:42:22.927 INFO [main] org.apache.catalina.startup.VersionLoggerListener.log Command line argument: -Dorg.apache.catalina.security.SecurityListener.UMASK=0027
18-Jul-2019 01:42:22.927 INFO [main] org.apache.catalina.startup.VersionLoggerListener.log Command line argument: -Dignore.endorsed.dirs=
18-Jul-2019 01:42:22.927 INFO [main] org.apache.catalina.startup.VersionLoggerListener.log Command line argument: -Dcatalina.base=/var/lib/tomcat8
18-Jul-2019 01:42:22.927 INFO [main] org.apache.catalina.startup.VersionLoggerListener.log Command line argument: -Dcatalina.home=/usr/share/tomcat8
18-Jul-2019 01:42:22.928 INFO [main] org.apache.catalina.startup.VersionLoggerListener.log Command line argument: -Djava.io.tmpdir=/tmp/tomcat8-tomcat8-tmp
18-Jul-2019 01:42:22.928 INFO [main] org.apache.catalina.core.AprLifecycleListener.lifecycleEvent The APR based Apache Tomcat Native library which allows optimal performance in production environments was not found on the java.library.path: [/usr/java/packages/lib/amd64:/usr/lib/x86_64-linux-gnu/jni:/lib/x86_64-linux-gnu:/usr/lib/x86_64-linux-gnu:/usr/lib/jni:/lib:/usr/lib]
18-Jul-2019 01:42:22.995 INFO [main] org.apache.coyote.AbstractProtocol.init Initializing ProtocolHandler ["http-nio-8080"]
18-Jul-2019 01:42:23.003 INFO [main] org.apache.tomcat.util.net.NioSelectorPool.getSharedSelector Using a shared selector for servlet write/read
18-Jul-2019 01:42:23.025 INFO [main] org.apache.catalina.startup.Catalina.load Initialization processed in 473 ms
18-Jul-2019 01:42:23.072 INFO [main] org.apache.catalina.core.StandardService.startInternal Starting service [Catalina]
18-Jul-2019 01:42:23.073 INFO [main] org.apache.catalina.core.StandardEngine.startInternal Starting Servlet Engine: Apache Tomcat/8.5.39 (Ubuntu)
18-Jul-2019 01:42:23.087 INFO [localhost-startStop-1] org.apache.catalina.startup.HostConfig.deployDescriptor Deploying configuration descriptor [/etc/tomcat8/Catalina/localhost/host-manager.xml]
18-Jul-2019 01:42:23.956 INFO [localhost-startStop-1] org.apache.jasper.servlet.TldScanner.scanJars At least one JAR was scanned for TLDs yet contained no TLDs. Enable debug logging for this logger for a complete list of JARs that were scanned but no TLDs were found in them. Skipping unneeded JARs during scanning can improve startup time and JSP compilation time.
18-Jul-2019 01:42:23.999 INFO [localhost-startStop-1] org.apache.catalina.startup.HostConfig.deployDescriptor Deployment of configuration descriptor [/etc/tomcat8/Catalina/localhost/host-manager.xml] has finished in [912] ms
18-Jul-2019 01:42:24.000 INFO [localhost-startStop-1] org.apache.catalina.startup.HostConfig.deployDescriptor Deploying configuration descriptor [/etc/tomcat8/Catalina/localhost/manager.xml]
18-Jul-2019 01:42:24.394 INFO [localhost-startStop-1] org.apache.jasper.servlet.TldScanner.scanJars At least one JAR was scanned for TLDs yet contained no TLDs. Enable debug logging for this logger for a complete list of JARs that were scanned but no TLDs were found in them. Skipping unneeded JARs during scanning can improve startup time and JSP compilation time.
18-Jul-2019 01:42:24.396 INFO [localhost-startStop-1] org.apache.catalina.startup.HostConfig.deployDescriptor Deployment of configuration descriptor [/etc/tomcat8/Catalina/localhost/manager.xml] has finished in [396] ms
18-Jul-2019 01:42:24.398 INFO [localhost-startStop-1] org.apache.catalina.startup.HostConfig.deployWAR Deploying web application archive [/var/lib/tomcat8/webapps/rasdaman.war]
18-Jul-2019 01:42:24.401 WARNING [localhost-startStop-1] org.apache.catalina.startup.SetContextPropertiesRule.begin [SetContextPropertiesRule]{Context} Setting property 'antiJARLocking' to 'true' did not find a matching property.
18-Jul-2019 01:49:37.461 SEVERE [localhost-startStop-1] org.apache.catalina.core.ContainerBase.addChildInternal ContainerBase.addChild: start: 
 org.apache.catalina.LifecycleException: Failed to start component [StandardEngine[Catalina].StandardHost[localhost].StandardContext[/rasdaman]]
	at org.apache.catalina.util.LifecycleBase.start(LifecycleBase.java:167)
	at org.apache.catalina.core.ContainerBase.addChildInternal(ContainerBase.java:754)
	at org.apache.catalina.core.ContainerBase.addChild(ContainerBase.java:730)
	at org.apache.catalina.core.StandardHost.addChild(StandardHost.java:734)
	at org.apache.catalina.startup.HostConfig.deployWAR(HostConfig.java:980)
	at org.apache.catalina.startup.HostConfig$DeployWar.run(HostConfig.java:1852)
	at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:511)
	at java.util.concurrent.FutureTask.run(FutureTask.java:266)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
	at java.lang.Thread.run(Thread.java:748)
Caused by: org.springframework.beans.factory.BeanCreationException: Error creating bean with name 'liquibase' defined in class path resource [org/springframework/boot/autoconfigure/liquibase/LiquibaseAutoConfiguration$LiquibaseConfiguration.class]: Invocation of init method failed; nested exception is liquibase.exception.DatabaseException: org.postgresql.util.PSQLException: FATAL: database "petascopedb" does not exist
	at org.springframework.beans.factory.support.AbstractAutowireCapableBeanFactory.initializeBean(AbstractAutowireCapableBeanFactory.java:1628)
	at org.springframework.beans.factory.support.AbstractAutowireCapableBeanFactory.doCreateBean(AbstractAutowireCapableBeanFactory.java:555)
	at org.springframework.beans.factory.support.AbstractAutowireCapableBeanFactory.createBean(AbstractAutowireCapableBeanFactory.java:483)
	at org.springframework.beans.factory.support.AbstractBeanFactory$1.getObject(AbstractBeanFactory.java:306)
	at org.springframework.beans.factory.support.DefaultSingletonBeanRegistry.getSingleton(DefaultSingletonBeanRegistry.java:230)
	at org.springframework.beans.factory.support.AbstractBeanFactory.doGetBean(AbstractBeanFactory.java:302)
	at org.springframework.beans.factory.support.AbstractBeanFactory.getBean(AbstractBeanFactory.java:197)
	at org.springframework.beans.factory.support.AbstractBeanFactory.doGetBean(AbstractBeanFactory.java:296)
	at org.springframework.beans.factory.support.AbstractBeanFactory.getBean(AbstractBeanFactory.java:197)
	at org.springframework.context.support.AbstractApplicationContext.getBean(AbstractApplicationContext.java:1081)
	at org.springframework.context.support.AbstractApplicationContext.finishBeanFactoryInitialization(AbstractApplicationContext.java:856)
	at org.springframework.context.support.AbstractApplicationContext.refresh(AbstractApplicationContext.java:542)
	at org.springframework.boot.context.embedded.EmbeddedWebApplicationContext.refresh(EmbeddedWebApplicationContext.java:122)
	at org.springframework.boot.SpringApplication.refresh(SpringApplication.java:737)
	at org.springframework.boot.SpringApplication.refreshContext(SpringApplication.java:370)
	at org.springframework.boot.SpringApplication.run(SpringApplication.java:314)
	at org.springframework.boot.web.support.SpringBootServletInitializer.run(SpringBootServletInitializer.java:151)
	at org.springframework.boot.web.support.SpringBootServletInitializer.createRootApplicationContext(SpringBootServletInitializer.java:131)
	at org.springframework.boot.web.support.SpringBootServletInitializer.onStartup(SpringBootServletInitializer.java:86)
	at org.springframework.web.SpringServletContainerInitializer.onStartup(SpringServletContainerInitializer.java:169)
	at org.apache.catalina.core.StandardContext.startInternal(StandardContext.java:5225)
	at org.apache.catalina.util.LifecycleBase.start(LifecycleBase.java:150)
	... 10 more
Caused by: liquibase.exception.DatabaseException: org.postgresql.util.PSQLException: FATAL: database "petascopedb" does not exist
	at liquibase.integration.spring.SpringLiquibase.afterPropertiesSet(SpringLiquibase.java:390)
	at org.springframework.beans.factory.support.AbstractAutowireCapableBeanFactory.invokeInitMethods(AbstractAutowireCapableBeanFactory.java:1687)
	at org.springframework.beans.factory.support.AbstractAutowireCapableBeanFactory.initializeBean(AbstractAutowireCapableBeanFactory.java:1624)
	... 31 more
Caused by: org.postgresql.util.PSQLException: FATAL: database "petascopedb" does not exist
	at org.postgresql.core.v3.ConnectionFactoryImpl.readStartupMessages(ConnectionFactoryImpl.java:471)
	at org.postgresql.core.v3.ConnectionFactoryImpl.openConnectionImpl(ConnectionFactoryImpl.java:112)
	at org.postgresql.core.ConnectionFactory.openConnection(ConnectionFactory.java:66)
	at org.postgresql.jdbc2.AbstractJdbc2Connection.<init>(AbstractJdbc2Connection.java:125)
	at org.postgresql.jdbc3.AbstractJdbc3Connection.<init>(AbstractJdbc3Connection.java:30)
	at org.postgresql.jdbc3g.AbstractJdbc3gConnection.<init>(AbstractJdbc3gConnection.java:22)
	at org.postgresql.jdbc4.AbstractJdbc4Connection.<init>(AbstractJdbc4Connection.java:32)
	at org.postgresql.jdbc4.Jdbc4Connection.<init>(Jdbc4Connection.java:24)
	at org.postgresql.Driver.makeConnection(Driver.java:393)
	at org.postgresql.Driver.connect(Driver.java:267)
	at org.apache.tomcat.jdbc.pool.PooledConnection.connectUsingDriver(PooledConnection.java:310)
	at org.apache.tomcat.jdbc.pool.PooledConnection.connect(PooledConnection.java:203)
	at org.apache.tomcat.jdbc.pool.ConnectionPool.createConnection(ConnectionPool.java:732)
	at org.apache.tomcat.jdbc.pool.ConnectionPool.borrowConnection(ConnectionPool.java:664)
	at org.apache.tomcat.jdbc.pool.ConnectionPool.init(ConnectionPool.java:479)
	at org.apache.tomcat.jdbc.pool.ConnectionPool.<init>(ConnectionPool.java:154)
	at org.apache.tomcat.jdbc.pool.DataSourceProxy.pCreatePool(DataSourceProxy.java:118)
	at org.apache.tomcat.jdbc.pool.DataSourceProxy.createPool(DataSourceProxy.java:107)
	at org.apache.tomcat.jdbc.pool.DataSourceProxy.getConnection(DataSourceProxy.java:131)
	at liquibase.integration.spring.SpringLiquibase.afterPropertiesSet(SpringLiquibase.java:385)
	... 33 more

18-Jul-2019 01:49:37.461 SEVERE [localhost-startStop-1] org.apache.catalina.startup.HostConfig.deployWAR Error deploying web application archive [/var/lib/tomcat8/webapps/rasdaman.war]
 java.lang.IllegalStateException: ContainerBase.addChild: start: org.apache.catalina.LifecycleException: Failed to start component [StandardEngine[Catalina].StandardHost[localhost].StandardContext[/rasdaman]]
	at org.apache.catalina.core.ContainerBase.addChildInternal(ContainerBase.java:758)
	at org.apache.catalina.core.ContainerBase.addChild(ContainerBase.java:730)
	at org.apache.catalina.core.StandardHost.addChild(StandardHost.java:734)
	at org.apache.catalina.startup.HostConfig.deployWAR(HostConfig.java:980)
	at org.apache.catalina.startup.HostConfig$DeployWar.run(HostConfig.java:1852)
	at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:511)
	at java.util.concurrent.FutureTask.run(FutureTask.java:266)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
	at java.lang.Thread.run(Thread.java:748)

18-Jul-2019 01:49:37.462 INFO [localhost-startStop-1] org.apache.catalina.startup.HostConfig.deployWAR Deployment of web application archive [/var/lib/tomcat8/webapps/rasdaman.war] has finished in [433,064] ms
18-Jul-2019 01:49:37.463 INFO [localhost-startStop-1] org.apache.catalina.startup.HostConfig.deployWAR Deploying web application archive [/var/lib/tomcat8/webapps/def.war]
18-Jul-2019 01:49:37.465 WARNING [localhost-startStop-1] org.apache.catalina.startup.SetContextPropertiesRule.begin [SetContextPropertiesRule]{Context} Setting property 'antiJARLocking' to 'true' did not find a matching property.
18-Jul-2019 01:50:18.826 SEVERE [localhost-startStop-1] org.apache.catalina.core.ContainerBase.addChildInternal ContainerBase.addChild: start: 
 org.apache.catalina.LifecycleException: Failed to start component [StandardEngine[Catalina].StandardHost[localhost].StandardContext[/def]]
	at org.apache.catalina.util.LifecycleBase.start(LifecycleBase.java:167)
	at org.apache.catalina.core.ContainerBase.addChildInternal(ContainerBase.java:754)
	at org.apache.catalina.core.ContainerBase.addChild(ContainerBase.java:730)
	at org.apache.catalina.core.StandardHost.addChild(StandardHost.java:734)
	at org.apache.catalina.startup.HostConfig.deployWAR(HostConfig.java:980)
	at org.apache.catalina.startup.HostConfig$DeployWar.run(HostConfig.java:1852)
	at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:511)
	at java.util.concurrent.FutureTask.run(FutureTask.java:266)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
	at java.lang.Thread.run(Thread.java:748)
Caused by: org.springframework.beans.factory.BeanCreationException: Error creating bean with name 'placeholderConfigurer' defined in org.rasdaman.ApplicationMain: Bean instantiation via factory method failed; nested exception is org.springframework.beans.BeanInstantiationException: Failed to instantiate [org.springframework.context.support.PropertySourcesPlaceholderConfigurer]: Factory method 'placeholderConfigurer' threw exception; nested exception is java.lang.RuntimeException: Cannot find gml resource folder, does secore set to java_server=external in secore.properties file?
	at org.springframework.beans.factory.support.ConstructorResolver.instantiateUsingFactoryMethod(ConstructorResolver.java:599)
	at org.springframework.beans.factory.support.AbstractAutowireCapableBeanFactory.instantiateUsingFactoryMethod(AbstractAutowireCapableBeanFactory.java:1173)
	at org.springframework.beans.factory.support.AbstractAutowireCapableBeanFactory.createBeanInstance(AbstractAutowireCapableBeanFactory.java:1067)
	at org.springframework.beans.factory.support.AbstractAutowireCapableBeanFactory.doCreateBean(AbstractAutowireCapableBeanFactory.java:513)
	at org.springframework.beans.factory.support.AbstractAutowireCapableBeanFactory.createBean(AbstractAutowireCapableBeanFactory.java:483)
	at org.springframework.beans.factory.support.AbstractBeanFactory$1.getObject(AbstractBeanFactory.java:306)
	at org.springframework.beans.factory.support.DefaultSingletonBeanRegistry.getSingleton(DefaultSingletonBeanRegistry.java:230)
	at org.springframework.beans.factory.support.AbstractBeanFactory.doGetBean(AbstractBeanFactory.java:302)
	at org.springframework.beans.factory.support.AbstractBeanFactory.getBean(AbstractBeanFactory.java:202)
	at org.springframework.context.support.PostProcessorRegistrationDelegate.invokeBeanFactoryPostProcessors(PostProcessorRegistrationDelegate.java:149)
	at org.springframework.context.support.AbstractApplicationContext.invokeBeanFactoryPostProcessors(AbstractApplicationContext.java:686)
	at org.springframework.context.support.AbstractApplicationContext.refresh(AbstractApplicationContext.java:524)
	at org.springframework.boot.context.embedded.EmbeddedWebApplicationContext.refresh(EmbeddedWebApplicationContext.java:122)
	at org.springframework.boot.SpringApplication.refresh(SpringApplication.java:737)
	at org.springframework.boot.SpringApplication.refreshContext(SpringApplication.java:370)
	at org.springframework.boot.SpringApplication.run(SpringApplication.java:314)
	at org.springframework.boot.web.support.SpringBootServletInitializer.run(SpringBootServletInitializer.java:151)
	at org.springframework.boot.web.support.SpringBootServletInitializer.createRootApplicationContext(SpringBootServletInitializer.java:131)
	at org.springframework.boot.web.support.SpringBootServletInitializer.onStartup(SpringBootServletInitializer.java:86)
	at org.springframework.web.SpringServletContainerInitializer.onStartup(SpringServletContainerInitializer.java:169)
	at org.apache.catalina.core.StandardContext.startInternal(StandardContext.java:5225)
	at org.apache.catalina.util.LifecycleBase.start(LifecycleBase.java:150)
	... 10 more
Caused by: org.springframework.beans.BeanInstantiationException: Failed to instantiate [org.springframework.context.support.PropertySourcesPlaceholderConfigurer]: Factory method 'placeholderConfigurer' threw exception; nested exception is java.lang.RuntimeException: Cannot find gml resource folder, does secore set to java_server=external in secore.properties file?
	at org.springframework.beans.factory.support.SimpleInstantiationStrategy.instantiate(SimpleInstantiationStrategy.java:189)
	at org.springframework.beans.factory.support.ConstructorResolver.instantiateUsingFactoryMethod(ConstructorResolver.java:588)
	... 31 more
Caused by: java.lang.RuntimeException: Cannot find gml resource folder, does secore set to java_server=external in secore.properties file?
	at org.rasdaman.secore.ConfigManager.<init>(ConfigManager.java:151)
	at org.rasdaman.secore.ConfigManager.initInstance(ConfigManager.java:226)
	at org.rasdaman.ApplicationMain.placeholderConfigurer(ApplicationMain.java:73)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:498)
	at org.springframework.beans.factory.support.SimpleInstantiationStrategy.instantiate(SimpleInstantiationStrategy.java:162)
	... 32 more
Caused by: java.io.FileNotFoundException: class path resource [gml] cannot be resolved to absolute file path because it does not reside in the file system: war:file:/var/lib/tomcat8/webapps/def.war*/WEB-INF/classes/gml/
	at org.springframework.util.ResourceUtils.getFile(ResourceUtils.java:218)
	at org.springframework.core.io.AbstractFileResolvingResource.getFile(AbstractFileResolvingResource.java:52)
	at org.rasdaman.secore.ConfigManager.<init>(ConfigManager.java:146)
	... 39 more

18-Jul-2019 01:50:18.827 SEVERE [localhost-startStop-1] org.apache.catalina.startup.HostConfig.deployWAR Error deploying web application archive [/var/lib/tomcat8/webapps/def.war]
 java.lang.IllegalStateException: ContainerBase.addChild: start: org.apache.catalina.LifecycleException: Failed to start component [StandardEngine[Catalina].StandardHost[localhost].StandardContext[/def]]
	at org.apache.catalina.core.ContainerBase.addChildInternal(ContainerBase.java:758)
	at org.apache.catalina.core.ContainerBase.addChild(ContainerBase.java:730)
	at org.apache.catalina.core.StandardHost.addChild(StandardHost.java:734)
	at org.apache.catalina.startup.HostConfig.deployWAR(HostConfig.java:980)
	at org.apache.catalina.startup.HostConfig$DeployWar.run(HostConfig.java:1852)
	at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:511)
	at java.util.concurrent.FutureTask.run(FutureTask.java:266)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
	at java.lang.Thread.run(Thread.java:748)

18-Jul-2019 01:50:18.827 INFO [localhost-startStop-1] org.apache.catalina.startup.HostConfig.deployWAR Deployment of web application archive [/var/lib/tomcat8/webapps/def.war] has finished in [41,364] ms
18-Jul-2019 01:50:18.828 INFO [localhost-startStop-1] org.apache.catalina.startup.HostConfig.deployDirectory Deploying web application directory [/var/lib/tomcat8/webapps/52nSOS]
18-Jul-2019 01:50:26.838 INFO [localhost-startStop-1] org.apache.jasper.servlet.TldScanner.scanJars At least one JAR was scanned for TLDs yet contained no TLDs. Enable debug logging for this logger for a complete list of JARs that were scanned but no TLDs were found in them. Skipping unneeded JARs during scanning can improve startup time and JSP compilation time.
18-Jul-2019 01:50:37.555 INFO [localhost-startStop-1] org.apache.catalina.startup.HostConfig.deployDirectory Deployment of web application directory [/var/lib/tomcat8/webapps/52nSOS] has finished in [18,727] ms
18-Jul-2019 01:50:37.555 INFO [localhost-startStop-1] org.apache.catalina.startup.HostConfig.deployDirectory Deploying web application directory [/var/lib/tomcat8/webapps/52nWPS]
18-Jul-2019 01:50:41.244 INFO [localhost-startStop-1] org.apache.jasper.servlet.TldScanner.scanJars At least one JAR was scanned for TLDs yet contained no TLDs. Enable debug logging for this logger for a complete list of JARs that were scanned but no TLDs were found in them. Skipping unneeded JARs during scanning can improve startup time and JSP compilation time.
18-Jul-2019 01:50:43.401 INFO [localhost-startStop-1] org.apache.catalina.startup.HostConfig.deployDirectory Deployment of web application directory [/var/lib/tomcat8/webapps/52nWPS] has finished in [5,846] ms
18-Jul-2019 01:50:43.402 INFO [localhost-startStop-1] org.apache.catalina.startup.HostConfig.deployDirectory Deploying web application directory [/var/lib/tomcat8/webapps/ROOT]
18-Jul-2019 01:50:43.874 INFO [localhost-startStop-1] org.apache.jasper.servlet.TldScanner.scanJars At least one JAR was scanned for TLDs yet contained no TLDs. Enable debug logging for this logger for a complete list of JARs that were scanned but no TLDs were found in them. Skipping unneeded JARs during scanning can improve startup time and JSP compilation time.
18-Jul-2019 01:50:43.876 INFO [localhost-startStop-1] org.apache.catalina.startup.HostConfig.deployDirectory Deployment of web application directory [/var/lib/tomcat8/webapps/ROOT] has finished in [474] ms
18-Jul-2019 01:50:43.876 INFO [localhost-startStop-1] org.apache.catalina.startup.HostConfig.deployDirectory Deploying web application directory [/var/lib/tomcat8/webapps/ncWMS2]
18-Jul-2019 01:50:45.606 INFO [localhost-startStop-1] org.apache.jasper.servlet.TldScanner.scanJars At least one JAR was scanned for TLDs yet contained no TLDs. Enable debug logging for this logger for a complete list of JARs that were scanned but no TLDs were found in them. Skipping unneeded JARs during scanning can improve startup time and JSP compilation time.
18-Jul-2019 01:50:46.977 INFO [localhost-startStop-1] org.apache.catalina.startup.HostConfig.deployDirectory Deployment of web application directory [/var/lib/tomcat8/webapps/ncWMS2] has finished in [3,100] ms
18-Jul-2019 01:50:46.977 INFO [localhost-startStop-1] org.apache.catalina.startup.HostConfig.deployDirectory Deploying web application directory [/var/lib/tomcat8/webapps/secoredb]
18-Jul-2019 01:50:47.428 INFO [localhost-startStop-1] org.apache.jasper.servlet.TldScanner.scanJars At least one JAR was scanned for TLDs yet contained no TLDs. Enable debug logging for this logger for a complete list of JARs that were scanned but no TLDs were found in them. Skipping unneeded JARs during scanning can improve startup time and JSP compilation time.
18-Jul-2019 01:50:47.430 INFO [localhost-startStop-1] org.apache.catalina.startup.HostConfig.deployDirectory Deployment of web application directory [/var/lib/tomcat8/webapps/secoredb] has finished in [453] ms
18-Jul-2019 01:50:47.440 INFO [main] org.apache.coyote.AbstractProtocol.start Starting ProtocolHandler ["http-nio-8080"]
18-Jul-2019 01:50:47.461 INFO [main] org.apache.catalina.startup.Catalina.start Server startup in 504435 ms
18-Jul-2019 01:53:30.583 INFO [Thread-20] org.apache.coyote.AbstractProtocol.pause Pausing ProtocolHandler ["http-nio-8080"]
18-Jul-2019 01:53:30.596 INFO [Thread-20] org.apache.catalina.core.StandardService.stopInternal Stopping service [Catalina]
18-Jul-2019 01:53:34.103 WARNING [localhost-startStop-2] org.apache.catalina.loader.WebappClassLoaderBase.clearReferencesJdbc The web application [52nSOS] registered the JDBC driver [org.h2.Driver] but failed to unregister it when the web application was stopped. To prevent a memory leak, the JDBC Driver has been forcibly unregistered.
18-Jul-2019 01:53:34.174 INFO [Thread-20] org.apache.coyote.AbstractProtocol.stop Stopping ProtocolHandler ["http-nio-8080"]
18-Jul-2019 01:53:34.182 INFO [Thread-20] org.apache.coyote.AbstractProtocol.destroy Destroying ProtocolHandler ["http-nio-8080"]
18-Jul-2019 01:53:34.193 WARNING [Thread-20] org.apache.catalina.loader.WebappClassLoaderBase.clearReferencesJdbc The web application [rasdaman] registered the JDBC driver [org.postgresql.Driver] but failed to unregister it when the web application was stopped. To prevent a memory leak, the JDBC Driver has been forcibly unregistered.
18-Jul-2019 01:53:34.195 WARNING [Thread-20] org.apache.catalina.loader.WebappClassLoaderBase.clearReferencesThreads The web application [rasdaman] appears to have started a thread named [grpc-default-worker-ELG-1-1] but has failed to stop it. This is very likely to create a memory leak. Stack trace of thread:
 sun.nio.ch.EPollArrayWrapper.epollWait(Native Method)
 sun.nio.ch.EPollArrayWrapper.poll(EPollArrayWrapper.java:269)
 sun.nio.ch.EPollSelectorImpl.doSelect(EPollSelectorImpl.java:93)
 sun.nio.ch.SelectorImpl.lockAndDoSelect(SelectorImpl.java:86)
 sun.nio.ch.SelectorImpl.select(SelectorImpl.java:97)
 io.netty.channel.nio.SelectedSelectionKeySetSelector.select(SelectedSelectionKeySetSelector.java:62)
 io.netty.channel.nio.NioEventLoop.select(NioEventLoop.java:753)
 io.netty.channel.nio.NioEventLoop.run(NioEventLoop.java:409)
 io.netty.util.concurrent.SingleThreadEventExecutor$5.run(SingleThreadEventExecutor.java:886)
 io.netty.util.concurrent.FastThreadLocalRunnable.run(FastThreadLocalRunnable.java:30)
 java.lang.Thread.run(Thread.java:748)
18-Jul-2019 01:53:34.196 WARNING [Thread-20] org.apache.catalina.loader.WebappClassLoaderBase.clearReferencesThreads The web application [rasdaman] appears to have started a thread named [grpc-default-worker-ELG-1-2] but has failed to stop it. This is very likely to create a memory leak. Stack trace of thread:
 sun.nio.ch.EPollArrayWrapper.epollWait(Native Method)
 sun.nio.ch.EPollArrayWrapper.poll(EPollArrayWrapper.java:269)
 sun.nio.ch.EPollSelectorImpl.doSelect(EPollSelectorImpl.java:93)
 sun.nio.ch.SelectorImpl.lockAndDoSelect(SelectorImpl.java:86)
 sun.nio.ch.SelectorImpl.select(SelectorImpl.java:97)
 io.netty.channel.nio.SelectedSelectionKeySetSelector.select(SelectedSelectionKeySetSelector.java:62)
 io.netty.channel.nio.NioEventLoop.select(NioEventLoop.java:753)
 io.netty.channel.nio.NioEventLoop.run(NioEventLoop.java:409)
 io.netty.util.concurrent.SingleThreadEventExecutor$5.run(SingleThreadEventExecutor.java:886)
 io.netty.util.concurrent.FastThreadLocalRunnable.run(FastThreadLocalRunnable.java:30)
 java.lang.Thread.run(Thread.java:748)
18-Jul-2019 01:53:34.197 WARNING [Thread-20] org.apache.catalina.loader.WebappClassLoaderBase.clearReferencesThreads The web application [rasdaman] appears to have started a thread named [grpc-default-worker-ELG-1-3] but has failed to stop it. This is very likely to create a memory leak. Stack trace of thread:
 sun.nio.ch.EPollArrayWrapper.epollWait(Native Method)
 sun.nio.ch.EPollArrayWrapper.poll(EPollArrayWrapper.java:269)
 sun.nio.ch.EPollSelectorImpl.doSelect(EPollSelectorImpl.java:93)
 sun.nio.ch.SelectorImpl.lockAndDoSelect(SelectorImpl.java:86)
 sun.nio.ch.SelectorImpl.select(SelectorImpl.java:97)
 io.netty.channel.nio.SelectedSelectionKeySetSelector.select(SelectedSelectionKeySetSelector.java:62)
 io.netty.channel.nio.NioEventLoop.select(NioEventLoop.java:753)
 io.netty.channel.nio.NioEventLoop.run(NioEventLoop.java:409)
 io.netty.util.concurrent.SingleThreadEventExecutor$5.run(SingleThreadEventExecutor.java:886)
 io.netty.util.concurrent.FastThreadLocalRunnable.run(FastThreadLocalRunnable.java:30)
 java.lang.Thread.run(Thread.java:748)
18-Jul-2019 01:53:34.198 WARNING [Thread-20] org.apache.catalina.loader.WebappClassLoaderBase.clearReferencesThreads The web application [rasdaman] appears to have started a thread named [grpc-default-worker-ELG-1-4] but has failed to stop it. This is very likely to create a memory leak. Stack trace of thread:
 sun.nio.ch.EPollArrayWrapper.epollWait(Native Method)
 sun.nio.ch.EPollArrayWrapper.poll(EPollArrayWrapper.java:269)
 sun.nio.ch.EPollSelectorImpl.doSelect(EPollSelectorImpl.java:93)
 sun.nio.ch.SelectorImpl.lockAndDoSelect(SelectorImpl.java:86)
 sun.nio.ch.SelectorImpl.select(SelectorImpl.java:97)
 io.netty.channel.nio.SelectedSelectionKeySetSelector.select(SelectedSelectionKeySetSelector.java:62)
 io.netty.channel.nio.NioEventLoop.select(NioEventLoop.java:753)
 io.netty.channel.nio.NioEventLoop.run(NioEventLoop.java:409)
 io.netty.util.concurrent.SingleThreadEventExecutor$5.run(SingleThreadEventExecutor.java:886)
 io.netty.util.concurrent.FastThreadLocalRunnable.run(FastThreadLocalRunnable.java:30)
 java.lang.Thread.run(Thread.java:748)
18-Jul-2019 01:53:34.199 WARNING [Thread-20] org.apache.catalina.loader.WebappClassLoaderBase.clearReferencesThreads The web application [rasdaman] appears to have started a thread named [grpc-default-worker-ELG-1-5] but has failed to stop it. This is very likely to create a memory leak. Stack trace of thread:
 sun.nio.ch.EPollArrayWrapper.epollWait(Native Method)
 sun.nio.ch.EPollArrayWrapper.poll(EPollArrayWrapper.java:269)
 sun.nio.ch.EPollSelectorImpl.doSelect(EPollSelectorImpl.java:93)
 sun.nio.ch.SelectorImpl.lockAndDoSelect(SelectorImpl.java:86)
 sun.nio.ch.SelectorImpl.select(SelectorImpl.java:97)
 io.netty.channel.nio.SelectedSelectionKeySetSelector.select(SelectedSelectionKeySetSelector.java:62)
 io.netty.channel.nio.NioEventLoop.select(NioEventLoop.java:753)
 io.netty.channel.nio.NioEventLoop.run(NioEventLoop.java:409)
 io.netty.util.concurrent.SingleThreadEventExecutor$5.run(SingleThreadEventExecutor.java:886)
 io.netty.util.concurrent.FastThreadLocalRunnable.run(FastThreadLocalRunnable.java:30)
 java.lang.Thread.run(Thread.java:748)

comment:10 in reply to:  3 Changed 3 months ago by darkblueb

Replying to misev:

We tested install_rasdaman.sh and it works fine.

installed server fails to start (see below) with multiple errors

Steps to Reproduce:

  • boot a VM with >8GB of RAM using osgeolive dot iso build115
  • execute sudo install_rasdaman.sh
  • install and boot sequence fails after working for >10 minutes
Last edited 3 months ago by darkblueb (previous) (diff)

comment:11 Changed 3 months ago by darkblueb

the installer log for build114 indicates :

 script_name          action    package_name
------------------------------------------------------------
 service_postgresql  | NEW    | libwxbase3.0-0v5
 service_postgresql  | NEW    | libwxgtk3.0-0v5
 service_postgresql  | NEW    | pgadmin3
 service_postgresql  | NEW    | pgadmin3-data
 service_postgresql  | NEW    | postgresql-10
 service_postgresql  | NEW    | postgresql-client-10
 service_postgresql  | NEW    | postgresql-client-common
 service_postgresql  | NEW    | postgresql-common
 service_postgresql  | REMOVE | obsolete
 install_postgis     | NEW    | libboost-serialization1.65.1
 install_postgis     | NEW    | libcgal13
 install_postgis     | NEW    | libgmpxx4ldbl
 install_postgis     | NEW    | liblwgeom-2.5-0
 install_postgis     | NEW    | libsfcgal1
 install_postgis     | NEW    | postgis
 install_postgis     | NEW    | postgis-gui
 install_postgis     | NEW    | postgresql-10-ogr-fdw
 install_postgis     | NEW    | postgresql-10-postgis-2.5
 install_postgis     | NEW    | postgresql-10-postgis-2.5-scripts
 install_postgis     | REMOVE | obsolete

Postgres package installs queued by install_rasdaman.sh are postgresql and postgresql-contrib

(we are looking out for ways to minimize disk space)

comment:12 Changed 3 months ago by darkblueb

repeat experiment, add $psql -c 'CREATE DATABASE petascopedb'

after script completion, sudo service rasdaman restart

sudo service rasdaman status

● rasdaman.service - Rasdaman Array Database
   Loaded: loaded (/etc/systemd/system/rasdaman.service; enabled; vendor preset: enabled)
   Active: active (running) since Thu 2019-07-18 03:43:50 UTC; 18min ago
     Docs: http://rasdaman.org
  Process: 9216 ExecStart=/etc/init.d/rasdaman start (code=exited, status=0/SUCCESS)
 Main PID: 9239 (rasmgr)
    Tasks: 0 (limit: 4915)
   CGroup: /system.slice/rasdaman.service
           ‣ 9239 /opt/rasdaman/bin/rasmgr --port 7001

Jul 18 03:43:49 osgeolive systemd[1]: Starting Rasdaman Array Database...
Jul 18 03:43:49 osgeolive rasdaman[9216]: Starting rasdaman:
Jul 18 03:43:49 osgeolive rasdaman[9216]: start_rasdaman.sh: starting rasdaman server complex...
Jul 18 03:43:50 osgeolive rasdaman[9216]: start_rasdaman.sh:   starting rasmgr... ok, pid 9239.
Jul 18 03:43:50 osgeolive rasdaman[9216]: start_rasdaman.sh:   starting all rasdaman servers... rasc> up srv -all
Jul 18 03:43:50 osgeolive rasdaman[9216]: ok.


comment:13 Changed 3 months ago by darkblueb

tcp/ip ports active:

Starting Nmap 7.60 ( https://nmap.org ) at 2019-07-18 04:08 UTC
Nmap scan report for localhost (127.0.0.1)
Host is up (0.00012s latency).
Not shown: 994 closed ports
PORT     STATE SERVICE
80/tcp   open  http
5432/tcp open  postgresql
7001/tcp open  afs3-callback
7002/tcp open  afs3-prserver
7004/tcp open  afs3-kaserver
7007/tcp open  afs3-bos

Nmap done: 1 IP address (1 host up) scanned in 0.09 seconds

comment:14 Changed 3 months ago by kalxas

Priority: majorcritical

comment:15 Changed 3 months ago by misev

Steps to Reproduce:

  • boot a VM with >8GB of RAM using osgeolive dot iso build115
  • execute sudo install_rasdaman.sh
  • install and boot sequence fails after working for >10 minutes

Apologies as I'm not very familiar with the process, where can I find osgeolive dot iso build115?

Postgres package installs queued by install_rasdaman.sh are postgresql and postgresql-contrib

I don't quite understand what you mean, is it that rasdaman installs these packages but shouldn't?

I can't see a Reply button btw.

comment:16 Changed 3 months ago by kalxas

The nightly builds are available here:

http://aiolos.survey.ntua.gr/gisvm/dev/

Please check the log of the build I tried to include rasdaman: http://aiolos.survey.ntua.gr/gisvm/dev/osgeolive-nightly-build110-amd64-f547f90-rasdaman-log.tar.gz

comment:17 Changed 3 months ago by misev

To reduce the installed size this can be done if not already:

strip /opt/rasdaman/bin/ras*

rm -rf /opt/rasdaman/lib/*
rm -rf /opt/rasdaman/include/*
rm -rf /opt/rasdaman/share/rasdaman/doc-*
rm -rf /opt/rasdaman/share/rasdaman/war
rm -rf /opt/rasdaman/share/rasdaman/raswct

With this /opt/rasdaman is 44MB (from original ~430MB).

Otherwise, it seems to have a problem with setting up postgresql. Maybe it's caused by interaction with other software on the Live DVD which also uses postgresql? Because we have automated package install tests for every release for Ubuntu 18.04 and they pass fine.

Are these instructions up-to-date or should I follow something else to build the ISO myself?

comment:18 Changed 3 months ago by misev

I'm confused about the disk usage btw, according to disk_usage.log the used space increased from 60 to 63% after installing rasdaman:

...
Disk Usage2: install_geoext.sh,-,38183,21523,14692,60%,/,2019-07-14 16:20:31+00:00
Disk Usage2: install_rasdaman.sh,-,38183,22622,13593,63%,/,2019-07-14 16:25:14+00:00
...

But disk_usage_calc.log says

install_rasdaman.sh 1098MB 4.72min

comment:19 Changed 3 months ago by kalxas

The wiki page about building the iso is up to date.

Disk usage is calculated on the build host.

comment:21 Changed 3 months ago by misev

The main issue is that tomcat doesn't unpack the war files in /var/lib/tomcat8/webapps for some reason. I unpacked them manually and at least the webapps start now and initialize the postgres database correctly. I will try to handle all this in the install_rasdaman.sh.

comment:22 Changed 3 months ago by kalxas

After latest changes, iso still fails to build (out of disk space) when rasdaman is enabled.

http://aiolos.survey.ntua.gr/gisvm/dev/osgeolive-nightly-build186-amd64-3b9f8dd-rasdaman-log.tar.gz

comment:23 Changed 3 months ago by misev

Maybe the problem is that it runs among the last installs so disk space is tight.

I mentioned already, the deb package is 175 MB, unpacked 430 MB, but once install_rasdaman.sh is finished rasdaman's own size takes up only 44 MB. So it needs a bit more space temporarily until it's finished.

The package dependencies are pretty standard stuff which is probably all installed anyway by other software on the OSGeoLive: postgresql, postgresql-contrib, sqlite3, zlib1g, gdal-bin, debianutils, libgrib-api-dev, python-setuptools, python-dateutil, python-lxml, python-pip, python-gdal, libnetcdf-dev, netcdf-bin, libecpg6, libedit-dev, libreadline-dev, libdw1, python-netcdf4, libssl1.0.0, tomcat8, openjdk-8-jre, libgdal-java

comment:24 Changed 3 months ago by misev

rasdaman's own size takes up only 44 MB

Just realized I didn't account the war files in /var/lib/tomcat8/webapps, this is about 100 MB more actually.

comment:25 Changed 3 months ago by kalxas

I can make a build with rasdaman only enabled to see it working. After that we need to see if we can make it fit.

comment:26 Changed 3 months ago by misev

I'm just building a bit trimmed package (should finish in an hour), it should remove 100 MB from the unpacked size. Hopefully this will be enough to make it fit.

Changed 3 months ago by misev

Attachment: disk_usage_rasdaman.png added

comment:27 Changed 3 months ago by misev

I plot the disk usage during the install_rasdaman.sh (measured every second), the peak is at ~910 MB:

comment:28 Changed 3 months ago by misev

.. and at the end after running apt-get clean && apt-get autoclean it's at 600 MB.

comment:29 Changed 3 months ago by kalxas

Just to be clear: the sizes reported by build logs are uncompressed. Those 600MB could be something like 200MB in the final iso. It is hard to track the actual disk cost for each project.

comment:30 Changed 3 months ago by kalxas

rasdaman working fine in build188, but had to disable marble from the build to make it fit.

comment:31 Changed 3 months ago by kalxas

Priority: criticalmajor

comment:32 Changed 3 months ago by kalxas

Resolution: fixed
Status: newclosed

confirmed fixed in beta3

Note: See TracTickets for help on using tickets.